import language from "../common/language.js";
import Service from "../common/service.js";
new Vue({
  el: "#footer",
  data: {
    baseURL: Service.baseURL,
    config: {},
    path_list: [
      { name: "产品中心", path: "/product-mobile.html" },
      // { name: "联系我们", path: "/contact-mobile.html" },
      { name: "新闻资讯", path: "/news-mobile.html" },
      { name: "加入我们", path: "/join-mobile.html" },
      { name: "关于我们", path: "/about-mobile.html" },
    ],
  },
  mounted() {
    this.getConfig();
  },
  methods: {
    text(val) {
      return language[val][localStorage.getItem("language")];
    },
    lan_key(val) {
      return `${val}${localStorage.getItem("language") == "en" ? "_en" : ""}`;
    },
    getConfig() {
      Service.get_site()
        .then((res) => {
          this.config = res;
        })
        .catch((err) => {
          console.log(err);
        });
    },
  },
});
