import language from "./common/language.js";
import Service from "./common/service.js";
new Vue({
  el: "#app",
  data: {
    config: {
      web_tel: {},
    },
    params: {
      realname: "", // 姓名
      tel: "", // 电话
      email: "", // 邮箱
      content: "", // 描述
    },
  },
  mounted() {
    this.getConfig();
  },
  methods: {
    text(val) {
      return language[val][localStorage.getItem("language")];
    },
    lan_key(val) {
      return `${val}${localStorage.getItem("language") == "en" ? "_en" : ""}`;
    },
    changeCurrent(val) {
      if (val < 1 || val > Math.ceil(this.total / this.params.page_num)) return;
      this.params.page = val;
    },
    getConfig() {
      Service.get_site()
        .then((res) => {
          this.config = res;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    submit() {
      if (!this.params.realname) return alert(this.text("请输入您的称呼"));
      if (!this.params.tel) return alert(this.text("请输入您的联系电话"));
      if (!this.params.email) return alert(this.text("请输入您的邮箱地址"));
      Service.create_message(this.params)
        .then((res) => {
          alert(this.text("提交成功"));
        })
        .catch((err) => {
          console.log(err);
        });
    },
  },
});
